Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network30.0.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
30.0.0.0
Broadcast address
30.0.31.255
First usable
30.0.0.1
Last usable
30.0.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
A (default /8)
As numbers
Hex 1E000000 · Integer 503316480 to 503324671
Reverse DNS zones
0.0.30.in-addr.arpa
1.0.30.in-addr.arpa
2.0.30.in-addr.arpa
3.0.30.in-addr.arpa
4.0.30.in-addr.arpa
5.0.30.in-addr.arpa
6.0.30.in-addr.arpa
7.0.30.in-addr.arpa
8.0.30.in-addr.arpa
9.0.30.in-addr.arpa
10.0.30.in-addr.arpa
11.0.30.in-addr.arpa
12.0.30.in-addr.arpa
13.0.30.in-addr.arpa
14.0.30.in-addr.arpa
15.0.30.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011110.00000000.00000000.0000000030.0.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network00011110.00000000.00000000.0000000030.0.0.0
Broadcast00011110.00000000.00011111.1111111130.0.31.255
Split into smaller subnets/26

30.0.0.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
130.0.0.0/2630.0.0.1 to 30.0.0.6230.0.0.6362
230.0.0.64/2630.0.0.65 to 30.0.0.12630.0.0.12762
330.0.0.128/2630.0.0.129 to 30.0.0.19030.0.0.19162
430.0.0.192/2630.0.0.193 to 30.0.0.25430.0.0.25562
530.0.1.0/2630.0.1.1 to 30.0.1.6230.0.1.6362
630.0.1.64/2630.0.1.65 to 30.0.1.12630.0.1.12762
730.0.1.128/2630.0.1.129 to 30.0.1.19030.0.1.19162
830.0.1.192/2630.0.1.193 to 30.0.1.25430.0.1.25562
930.0.2.0/2630.0.2.1 to 30.0.2.6230.0.2.6362
1030.0.2.64/2630.0.2.65 to 30.0.2.12630.0.2.12762
1130.0.2.128/2630.0.2.129 to 30.0.2.19030.0.2.19162
1230.0.2.192/2630.0.2.193 to 30.0.2.25430.0.2.25562
1330.0.3.0/2630.0.3.1 to 30.0.3.6230.0.3.6362
1430.0.3.64/2630.0.3.65 to 30.0.3.12630.0.3.12762
1530.0.3.128/2630.0.3.129 to 30.0.3.19030.0.3.19162
1630.0.3.192/2630.0.3.193 to 30.0.3.25430.0.3.25562
1730.0.4.0/2630.0.4.1 to 30.0.4.6230.0.4.6362
1830.0.4.64/2630.0.4.65 to 30.0.4.12630.0.4.12762
1930.0.4.128/2630.0.4.129 to 30.0.4.19030.0.4.19162
2030.0.4.192/2630.0.4.193 to 30.0.4.25430.0.4.25562
2130.0.5.0/2630.0.5.1 to 30.0.5.6230.0.5.6362
2230.0.5.64/2630.0.5.65 to 30.0.5.12630.0.5.12762
2330.0.5.128/2630.0.5.129 to 30.0.5.19030.0.5.19162
2430.0.5.192/2630.0.5.193 to 30.0.5.25430.0.5.25562
2530.0.6.0/2630.0.6.1 to 30.0.6.6230.0.6.6362
2630.0.6.64/2630.0.6.65 to 30.0.6.12630.0.6.12762
2730.0.6.128/2630.0.6.129 to 30.0.6.19030.0.6.19162
2830.0.6.192/2630.0.6.193 to 30.0.6.25430.0.6.25562
2930.0.7.0/2630.0.7.1 to 30.0.7.6230.0.7.6362
3030.0.7.64/2630.0.7.65 to 30.0.7.12630.0.7.12762
3130.0.7.128/2630.0.7.129 to 30.0.7.19030.0.7.19162
3230.0.7.192/2630.0.7.193 to 30.0.7.25430.0.7.25562
3330.0.8.0/2630.0.8.1 to 30.0.8.6230.0.8.6362
3430.0.8.64/2630.0.8.65 to 30.0.8.12630.0.8.12762
3530.0.8.128/2630.0.8.129 to 30.0.8.19030.0.8.19162
3630.0.8.192/2630.0.8.193 to 30.0.8.25430.0.8.25562
3730.0.9.0/2630.0.9.1 to 30.0.9.6230.0.9.6362
3830.0.9.64/2630.0.9.65 to 30.0.9.12630.0.9.12762
3930.0.9.128/2630.0.9.129 to 30.0.9.19030.0.9.19162
4030.0.9.192/2630.0.9.193 to 30.0.9.25430.0.9.25562
4130.0.10.0/2630.0.10.1 to 30.0.10.6230.0.10.6362
4230.0.10.64/2630.0.10.65 to 30.0.10.12630.0.10.12762
4330.0.10.128/2630.0.10.129 to 30.0.10.19030.0.10.19162
4430.0.10.192/2630.0.10.193 to 30.0.10.25430.0.10.25562
4530.0.11.0/2630.0.11.1 to 30.0.11.6230.0.11.6362
4630.0.11.64/2630.0.11.65 to 30.0.11.12630.0.11.12762
4730.0.11.128/2630.0.11.129 to 30.0.11.19030.0.11.19162
4830.0.11.192/2630.0.11.193 to 30.0.11.25430.0.11.25562
4930.0.12.0/2630.0.12.1 to 30.0.12.6230.0.12.6362
5030.0.12.64/2630.0.12.65 to 30.0.12.12630.0.12.12762
5130.0.12.128/2630.0.12.129 to 30.0.12.19030.0.12.19162
5230.0.12.192/2630.0.12.193 to 30.0.12.25430.0.12.25562
5330.0.13.0/2630.0.13.1 to 30.0.13.6230.0.13.6362
5430.0.13.64/2630.0.13.65 to 30.0.13.12630.0.13.12762
5530.0.13.128/2630.0.13.129 to 30.0.13.19030.0.13.19162
5630.0.13.192/2630.0.13.193 to 30.0.13.25430.0.13.25562
5730.0.14.0/2630.0.14.1 to 30.0.14.6230.0.14.6362
5830.0.14.64/2630.0.14.65 to 30.0.14.12630.0.14.12762
5930.0.14.128/2630.0.14.129 to 30.0.14.19030.0.14.19162
6030.0.14.192/2630.0.14.193 to 30.0.14.25430.0.14.25562
6130.0.15.0/2630.0.15.1 to 30.0.15.6230.0.15.6362
6230.0.15.64/2630.0.15.65 to 30.0.15.12630.0.15.12762
6330.0.15.128/2630.0.15.129 to 30.0.15.19030.0.15.19162
6430.0.15.192/2630.0.15.193 to 30.0.15.25430.0.15.25562
6530.0.16.0/2630.0.16.1 to 30.0.16.6230.0.16.6362
6630.0.16.64/2630.0.16.65 to 30.0.16.12630.0.16.12762
6730.0.16.128/2630.0.16.129 to 30.0.16.19030.0.16.19162
6830.0.16.192/2630.0.16.193 to 30.0.16.25430.0.16.25562
6930.0.17.0/2630.0.17.1 to 30.0.17.6230.0.17.6362
7030.0.17.64/2630.0.17.65 to 30.0.17.12630.0.17.12762
7130.0.17.128/2630.0.17.129 to 30.0.17.19030.0.17.19162
7230.0.17.192/2630.0.17.193 to 30.0.17.25430.0.17.25562
7330.0.18.0/2630.0.18.1 to 30.0.18.6230.0.18.6362
7430.0.18.64/2630.0.18.65 to 30.0.18.12630.0.18.12762
7530.0.18.128/2630.0.18.129 to 30.0.18.19030.0.18.19162
7630.0.18.192/2630.0.18.193 to 30.0.18.25430.0.18.25562
7730.0.19.0/2630.0.19.1 to 30.0.19.6230.0.19.6362
7830.0.19.64/2630.0.19.65 to 30.0.19.12630.0.19.12762
7930.0.19.128/2630.0.19.129 to 30.0.19.19030.0.19.19162
8030.0.19.192/2630.0.19.193 to 30.0.19.25430.0.19.25562
8130.0.20.0/2630.0.20.1 to 30.0.20.6230.0.20.6362
8230.0.20.64/2630.0.20.65 to 30.0.20.12630.0.20.12762
8330.0.20.128/2630.0.20.129 to 30.0.20.19030.0.20.19162
8430.0.20.192/2630.0.20.193 to 30.0.20.25430.0.20.25562
8530.0.21.0/2630.0.21.1 to 30.0.21.6230.0.21.6362
8630.0.21.64/2630.0.21.65 to 30.0.21.12630.0.21.12762
8730.0.21.128/2630.0.21.129 to 30.0.21.19030.0.21.19162
8830.0.21.192/2630.0.21.193 to 30.0.21.25430.0.21.25562
8930.0.22.0/2630.0.22.1 to 30.0.22.6230.0.22.6362
9030.0.22.64/2630.0.22.65 to 30.0.22.12630.0.22.12762
9130.0.22.128/2630.0.22.129 to 30.0.22.19030.0.22.19162
9230.0.22.192/2630.0.22.193 to 30.0.22.25430.0.22.25562
9330.0.23.0/2630.0.23.1 to 30.0.23.6230.0.23.6362
9430.0.23.64/2630.0.23.65 to 30.0.23.12630.0.23.12762
9530.0.23.128/2630.0.23.129 to 30.0.23.19030.0.23.19162
9630.0.23.192/2630.0.23.193 to 30.0.23.25430.0.23.25562
9730.0.24.0/2630.0.24.1 to 30.0.24.6230.0.24.6362
9830.0.24.64/2630.0.24.65 to 30.0.24.12630.0.24.12762
9930.0.24.128/2630.0.24.129 to 30.0.24.19030.0.24.19162
10030.0.24.192/2630.0.24.193 to 30.0.24.25430.0.24.25562
10130.0.25.0/2630.0.25.1 to 30.0.25.6230.0.25.6362
10230.0.25.64/2630.0.25.65 to 30.0.25.12630.0.25.12762
10330.0.25.128/2630.0.25.129 to 30.0.25.19030.0.25.19162
10430.0.25.192/2630.0.25.193 to 30.0.25.25430.0.25.25562
10530.0.26.0/2630.0.26.1 to 30.0.26.6230.0.26.6362
10630.0.26.64/2630.0.26.65 to 30.0.26.12630.0.26.12762
10730.0.26.128/2630.0.26.129 to 30.0.26.19030.0.26.19162
10830.0.26.192/2630.0.26.193 to 30.0.26.25430.0.26.25562
10930.0.27.0/2630.0.27.1 to 30.0.27.6230.0.27.6362
11030.0.27.64/2630.0.27.65 to 30.0.27.12630.0.27.12762
11130.0.27.128/2630.0.27.129 to 30.0.27.19030.0.27.19162
11230.0.27.192/2630.0.27.193 to 30.0.27.25430.0.27.25562
11330.0.28.0/2630.0.28.1 to 30.0.28.6230.0.28.6362
11430.0.28.64/2630.0.28.65 to 30.0.28.12630.0.28.12762
11530.0.28.128/2630.0.28.129 to 30.0.28.19030.0.28.19162
11630.0.28.192/2630.0.28.193 to 30.0.28.25430.0.28.25562
11730.0.29.0/2630.0.29.1 to 30.0.29.6230.0.29.6362
11830.0.29.64/2630.0.29.65 to 30.0.29.12630.0.29.12762
11930.0.29.128/2630.0.29.129 to 30.0.29.19030.0.29.19162
12030.0.29.192/2630.0.29.193 to 30.0.29.25430.0.29.25562
12130.0.30.0/2630.0.30.1 to 30.0.30.6230.0.30.6362
12230.0.30.64/2630.0.30.65 to 30.0.30.12630.0.30.12762
12330.0.30.128/2630.0.30.129 to 30.0.30.19030.0.30.19162
12430.0.30.192/2630.0.30.193 to 30.0.30.25430.0.30.25562
12530.0.31.0/2630.0.31.1 to 30.0.31.6230.0.31.6362
12630.0.31.64/2630.0.31.65 to 30.0.31.12630.0.31.12762
12730.0.31.128/2630.0.31.129 to 30.0.31.19030.0.31.19162
12830.0.31.192/2630.0.31.193 to 30.0.31.25430.0.31.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses